## net.sf.saxon.type
Interface FacetCollection

public interface FacetCollection

This interface represents a collection of facets. It contains methods that allow the facets for a simple type to be retrieved individually or collectively, with or without the facets inherited from the base type. The concrete implementation is in the schema-aware product.

Method Summary
`Facet` `getFacet(java.lang.String name)` Returns the first facet associated with the given name, defined either on this type or on a type from which it is derived
`java.util.Iterator` `getFacets()` Returns an Iterator over all the Facets (including inherited facets) for this type.
`java.util.Iterator` `getFacets(java.lang.String name)` Return all the facets having the given name

Method Detail

### getFacet

    public Facet getFacet(java.lang.String name)

  Returns the first facet associated with the given name, defined either on this type or on a type from which it is derived

  Returns:
    the first facet associated with the given name

### getFacets

    public java.util.Iterator getFacets(java.lang.String name)

  Return all the facets having the given name

  Parameters:
    `name` - the required facet name, for example "totalDigits" or "maxInclusive"
  Returns:
    an iterator over all the facets with the given name, including those defined on a type from which this is derived by restriction or by union. The iterator contains objects of class `Facet`.

### getFacets

    public java.util.Iterator getFacets()

  Returns an Iterator over all the Facets (including inherited facets) for this type.

  Returns:
    an Iterator over all the Facets for this type. The iterator contains objects of class `Facet`.